﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Spread_Win_ContextMenu
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.fpSpread1.OpenExcel("小企业记账用Excel编制记账凭证录入数据自动生成会计报表.xls");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ContextMenu custommenu = new ContextMenu();
            MenuItem cutItem = new MenuItem("剪切");
            cutItem.Shortcut = Shortcut.CtrlC;
            cutItem.ShowShortcut = true;
            cutItem.Click += new EventHandler(cutItem_Click);
            MenuItem copyItem = new MenuItem("复制");
            MenuItem pasteItem = new MenuItem("粘贴");
            pasteItem.Click += new EventHandler(pasteItem_Click);
            MenuItem delItem = new MenuItem("删除");
            MenuItem clearItem = new MenuItem("清除内容");
            MenuItem filterItem = new MenuItem("过滤");
            MenuItem sortItem = new MenuItem("排序");
            MenuItem formatCellItem = new MenuItem("设置单元格格式");

            custommenu.MenuItems.AddRange(new MenuItem[] { cutItem, copyItem, pasteItem,
                delItem, clearItem,filterItem,sortItem,formatCellItem});


            fpSpread1.ContextMenu = custommenu;

        }

        void pasteItem_Click(object sender, EventArgs e)
        {
            this.fpSpread1.ActiveSheet.ClipboardPaste(FarPoint.Win.Spread.ClipboardPasteOptions.All);
        }

        void cutItem_Click(object sender, EventArgs e)
        {
            this.fpSpread1.ActiveSheet.ClipboardCut(FarPoint.Win.Spread.ClipboardCopyOptions.All);
        }

    }
}
